Package twisted :: Package python :: Module runtime :: Class Platform

[show private | hide private]
[frames | no frames]

## Class Platform

Gives us information about the platform we're running on

Method Summary
| `__init__(self)`
| ``getType`(self)` Return 'posix', 'win32' or 'java'
| ``isKnown`(self)` Do we know about this platform?
| ``isWinNT`(self)` Are we running in Windows NT?

Method Details

### getType(self)

Return 'posix', 'win32' or 'java'

### isKnown(self)

Do we know about this platform?

### isWinNT(self)

Are we running in Windows NT?

Generated by Epydoc 1.1 on Thu May 8 13:18:57 2003 | http://epydoc.sf.net